GetPluginVersion

From GECK

A function added by the New Vegas Script Extender.

Description

Returns the version number of the specified NVSE plugin, or -1 if the plugin is not loaded. Note that plugin names are set during registration and displayed in the file, nvse.log, it is not the file name. Added by NVSE 4.5.

Syntax

(float) GetPluginVersion PluginName:string

Example

if (GetPluginVersion "Extensions for NVSE") < 15
    MessageBoxEx "You need to install version 15 of NX plugin"
endif

Note

The parameters for the most popular nvse plugins are "JIP NVSE Plugin" (JIP) and "lutana_nvse" (Lutana). NX's is given in the example, although it has its own NX_GetVersion function.

See Also

Personal tools